# MacroPad Server

A versatile MacroPad server application that lets you create, manage, and execute custom macros from both a local interface and remotely via a web interface.

## Features

- **Text Macros**: Insert frequently used text snippets with a single click
- **Application Macros**: Launch applications or scripts directly
- **Key Modifiers**: Add Ctrl, Alt, Shift modifiers and Enter keypress to your text macros
- **Custom Images**: Assign images to macros for easy identification
- **Tabbed Organization**: Organize macros into categories with custom tabs
- **Sorting Options**: Sort macros by name, type, or recent usage
- **Web Interface**: Access and trigger your macros from other devices on your network
- **QR Code Generation**: Quickly connect mobile devices to the web interface
- **System Tray Integration**: Minimize to tray, restore from tray menu
- **Dark Theme UI**: Modern dark interface with improved usability
- **Persistent Storage**: Macros are automatically saved for future sessions

## Requirements

- Python 3.11+
- Required Python packages:
  - tkinter
  - flask
  - pyautogui
  - pystray
  - Pillow (PIL)
  - flask_cors
  - waitress
  - qrcode

## Installation

1. Clone or download this repository
2. Install the required dependencies:
   ```bash
   pip install -r requirements.txt
